Subject: bug#12689: 24.2; Eshell ${cmd} substitution

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2022 12:37:58 +0200

Jim Porter <[email-masked]> writes:

> I think the "plain" echo behavior is what the original report
> expected, so maybe we can consider this fixed then. However, maybe we
> should consider whether the default, non-"plain" behavior should be
> changed. I don't have a strong opinion here, although I'm hesitant to
> make any big changes to the default behavior of Eshell's echo builtin,
> since I feel like it could break a lot of things really easily...

I think the behaviour after your patch seems reasonable (but I don't use
eshell regularly).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no